/*------------------------------------------------*/
/* 21zakladyII/file2wcs.h                         */

#ifndef _FILE2WCS_H
#define _FILE2WCS_H
#include <wchar.h>
#include <stdio.h>
/**
 * @param int fd File descriptor
 * @param const char *charset Charset to convert From
 * @param wchart_t * outbuf Beginning of output buffer
 * @param size_t avail Bytes in output buffer available
 * @return int Bytes written in output
 */
int file2wcs (int fd, const char *charset, wchar_t * outbuf, size_t avail);
#endif

/*------------------------------------------------*/
