/*------------------------------------------------*/
/* 21zakladyII/iconv.c                            */

#include <stdio.h>
#include <wchar.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <locale.h>

#include "file2wcs.h"

#define OBUFSIZ 1024*512
#define FILENAME "windows-1250.txt"

int main(void) {
    int fd, ret;
    wchar_t outbuf[OBUFSIZ];
    size_t olength = sizeof(outbuf)/sizeof(wchar_t);

    setlocale(LC_ALL, "");

    fd = open(FILENAME, O_RDONLY);
    if(fd < 0) {
	fprintf(stderr,"Nelze otevřít soubor %s\n", FILENAME);
	return 1;
    }
    ret = file2wcs(fd, "WINDOWS-1250", outbuf, olength);

    printf("ret = %i\n", ret);
    printf("Obsah souboru: '%*ls'\n", ret, outbuf);
    close(fd);

    return 0;
}

/*------------------------------------------------*/
