/*------------------------------------------------*/
/* 23processKomunikace/semafory1.c                */

#include <sys/types.h>
#include <sys/shm.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdbool.h>
#include <string.h>
#include <stdio.h>

#define N 1024*1024

void producent(int segment_id) {
    int *m;
    int i,j;
    srand(0);
    m = (int *) shmat(segment_id, NULL, 0);
    printf("Producent start\n");
    for (i = 0; i <= 200; i++) { 
        for (j = 0; j < N; j++) {
            memcpy(m+j, &i, sizeof(int));
        }
        usleep(rand() %50);
    }
    printf("Producent konec\n");
    shmdt(m);
}

void consumer(int segment_id) {
    int *m;
    int i;
    m = (int *) shmat(segment_id, NULL, 0);
    for (i = 0; i <= 10; i++) {
        printf("m = %i ... %i", *m, *(m+(N-1)));
        usleep(100000);
        printf("\n");
    }
    shmdt(m);
}

int main(void) {
    pid_t pid;
    int segment_id;

    segment_id = shmget(IPC_PRIVATE, N*sizeof(int), IPC_CREAT | S_IRUSR | S_IWUSR);

    pid = fork();
    if(pid == 0) {
        producent(segment_id);
    } else {
        consumer(segment_id);
        waitpid(pid, NULL, 0);
    }
    return 0;
}

/*------------------------------------------------*/
