/*------------------------------------------------*/
/* 29postgresql/connect.c                         */

#include <libpq-fe.h>
#include "pg-utils.h"

int main(int argc, char **argv)
{
    PGconn *conn = pgconnect(argc, argv);
    if (conn == NULL) {
        return 1;
    }
    printf("Conection OK\n");

    printf("PQdb:\t\t\t%s\n", PQdb(conn));
    printf("PQuser:\t\t\t%s\n", PQuser(conn));
    printf("PQpass:\t\t\t%s\n", PQpass(conn));
    printf("PQhost:\t\t\t%s\n", PQhost(conn));
    printf("PQport:\t\t\t%s\n", PQport(conn));
    printf("PQprotocolVersion:\t%i\n", PQprotocolVersion(conn));
    printf("PQserverVersion:\t%i\n", PQserverVersion(conn));
    printf("PQsocket:\t\t%i\n", PQsocket(conn));

    PQfinish(conn);
    return 0;
}

/*------------------------------------------------*/
