/*------------------------------------------------*/
/* 29postgresql/pg-utils.h                        */
#ifndef _PG_UTILS_H
#define _PG_UTILS_H
#include <libpq-fe.h>

/**
 * Vytvori spojeni k postgres databazi.
 * V pripade neuspechu vypise chybovou hlasku a vrati NULL
 */
PGconn *pgconnect(int argc, char **argv);

/**
 * Vytiskne informaci o statusu provedeneho prikazu
 * a vrati cislo statusu.
 */
ExecStatusType printStatus(PGresult * res);

/**
 * Vrati nazev datoveho typu sloupce.
 */
char *getTypeName(PGconn * conn, PGresult * res, int column_number);
#endif
/*------------------------------------------------*/
