/*------------------------------------------------*/
/* 40socket/connection.h                          */
#include <stdbool.h>

typedef struct {
    int r;            /* read descriptor */
    int w;            /* write descriptor */
} descriptors;

/* server */
bool startServer(void);
void stopServer(void);
descriptors waitForClientConnection(void);
void closeClientConnection(descriptors * fd);
void serverWork(descriptors * fd);

/* client */
descriptors connectClientToServer(void);
void disconnectClientFromServer(descriptors * fd);
void clientWork(descriptors * fd);
/*------------------------------------------------*/
