#include <wchar.h>
#include "../gdbm.h"
#include "../curses.h"
#include "../struktury_dbm.h"
#include "../lib_dbm.h"

void
udelano (DBM * dbm_ptr)
{
  struct dbm_info inf;
  WINDOW *new_win;
  float procent;
  wint_t *ch;

  inf = zjisti_informace (dbm_ptr);
  new_win = newwin (6, 41, 5, 8);

  box (new_win, ACS_VLINE, ACS_HLINE);

  procent = (inf.predmetu_udelano[1] + inf.predmetu_udelano[0]) * 100;
  if (procent > 0)
    procent /= (float) (inf.poc_zaznamu);
  mvwprintw (new_win, 2, 3, "Hotovo %.2f%% předmětů celkem", procent);

  procent = inf.predmetu_udelano[1] * 100;
  if (procent > 0)
    procent /= (float) (inf.poc_zaznamu - inf.predmetu_udelano[0]);
  mvwprintw (new_win, 3, 3, "Hotovo %.2f%% předmětů známkovaných", procent);

  wrefresh (new_win);
  (void) wget_wch (new_win,&ch);
  delwin (new_win);
}
