#include <memory.h>
#include "../gdbm.h"
#include "../struktury_dbm.h"

struct dbm_info
zjisti_informace (DBM * dbm_ptr)
{
  datum klic, data;
  struct dbm_info navrat;
  struct zaznam nacteno;

  memset (&navrat, 0, sizeof (navrat));

  for (klic = dbm_firstkey (dbm_ptr); klic.dptr; klic = dbm_nextkey (dbm_ptr))
  {
      data = dbm_fetch (dbm_ptr, klic);
      memcpy (&nacteno, data.dptr, data.dsize);

      navrat.poc_zaznamu++;

      navrat.znamka[nacteno.znamka]++;

      navrat.kreditu[nacteno.znamka] += nacteno.kreditu;

      if (nacteno.znamka)
      {
          navrat.kreditu_udelano[1][nacteno.vsemestru - 1] += nacteno.kreditu;
      }
      else if (nacteno.vsemestru)
      {
          navrat.kreditu_udelano[0][nacteno.vsemestru - 1] += nacteno.kreditu;
      }


      if (nacteno.vsemestru && nacteno.znamka)
        navrat.predmetu_udelano[1]++;
      else if (nacteno.vsemestru)
        navrat.predmetu_udelano[0]++;

      navrat.predmetu[nacteno.semestr][0]++;
      navrat.predmetu[nacteno.vsemestru][1]++;
  }

  return navrat;
}
