/*------------------------------------------------*/
/* 46fcgi/qdecoder2.c                             */
#include "common.h"
#include "html.h"
#include <qdecoder.h>
#include <fcgi_stdio.h>

int main(int argc, char *argv[], char *env[])
{
    static unsigned int i = 0;
    while (FCGI_Accept() >= 0) {
        i++;
        htmlStart("qDecoder 2");
        printf("\t\t<p>Toto je %u-tý požadavek.</p>\n", i);
        /* qDecoder */
        qentry_t *req  = qcgireq_parse(NULL, 0);
        char *file     = req->getstr(req, "soubor", false);
        int  length    = req->getint(req, "soubor.length");
        char *filename = req->getstr(req, "soubor.filename", false);
        char *contenttype = req->getstr(req, "soubor.contenttype", false);
        if(!filename) {
            printf("\t\t<p>Soubor nebyl nahrán</p>\n");
        } else {
            printf("\t\t<p>Byl nahrán soubor %s délky %i bajtů typu %s.</p>\n",
                    filename, length, contenttype);
            printf("\t\t<h3>Obsah souboru: </h3>\n");
            printf("\t\t<pre>%*s</pre>\n", length, file);
        }

        req->free(req);
        /* konec qDecoder */
        htmlFormWithFile();
        htmlEnd();
    }
    return 0;
}

/*------------------------------------------------*/
